Get a patient's risk factors
curl --request GET \
--url https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.byblend.com/api/v1/patients/{patient_id}/risk_factors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allergies": [
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"name": "Penicillin",
"type": "allergy",
"matched": true,
"original_name": "Peniccillin"
}
],
"conditions": [
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"name": "Diabetes mellitus",
"type": "condition",
"matched": true,
"original_name": "diabetes"
}
],
"medications": [
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2025-03-15T12:00:00Z",
"updated_at": "2025-03-15T12:00:00Z",
"risk_factor_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"confidence": 0.95,
"is_active": true,
"match_source": "autocomplete",
"match_type": "product",
"matched": true,
"matched_via_synonym": false,
"patient_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"risk_factor_text_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"text_chunk": "liothyronine",
"medication_detail": {
"brand_name": "Benadryl",
"clinical_product_rxcui": "978941",
"ingredient_name": "diphenhydramine",
"ingredient_rxcui": "4083",
"name": "estradiol valerate 3 MG Oral Tablet",
"normalization_key": "SCDG:1165185|generic",
"product_rxcui": "978941",
"scdf_name": "estradiol Oral Tablet",
"scdf_rxcui": "372078",
"scdg_name": "estradiol Oral Product",
"scdg_rxcui": "1165185"
}
}
]
}Patients
Get a patient's risk factors
Retrieve all risk factors, or risk factors of a specific type, for a patient.
GET
/
api
/
v1
/
patients
/
{patient_id}
/
risk_factors
Get a patient's risk factors
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the patient, either UUID or external ID (e.g. my-patients-128318AA2) if you have provided one during patient creation or update.
Example:
"98cae3a3-996c-4bf5-9143-0ab6d98bc1d0"
Query Parameters
Type of risk factor to retrieve, either 'allergy', 'condition', or 'medication'
Example:
"allergy"
Response
200 - application/json
Successful response with all risk factors, or specific type of risk factors.
⌘I